drop table if exists ttt;
drop table if exists ttt2;
drop table if exists ttt3;

drop PROCEDURE curdemo;

create table ttt(
   t1 int primary key,
   t2 varchar(100),
   t3 int
) 
PARTITION BY GRID (t1) TO 2 NODES WITH  mod (2);

create table ttt2 (
   t1 int primary key,
   t2 varchar(100),
   t3 int
)  PARTITION BY GRID (t1) TO 2 NODES WITH  mod (2);

create table ttt3 (
   t1 int primary key,
   t2 varchar(100)
)  
PARTITION BY GRID (t1) TO 2 NODES WITH  mod (2);

insert into ttt values(10, 'just do it', 100);
insert into ttt values(11, 'yes we can', 101);
insert into ttt values(20, 'just say no', 201);
insert into ttt values(21, 'change', 202);

insert into ttt2 values(10, 'be happy', 100);
insert into ttt2 values(11, 'be cool', 101);
insert into ttt2 values(20, 'xyz says', 201);
insert into ttt2 values(21, 'abc di it', 202);

DELIMITER $$
CREATE PROCEDURE curdemo()
BEGIN
  DECLARE done INT DEFAULT FALSE;
  DECLARE b varchar(100);
  DECLARE c varchar(100);
  DECLARE a INT;
  DECLARE cur1 CURSOR FOR SELECT t1,t2 FROM ttt;
  DECLARE cur2 CURSOR FOR SELECT t2 FROM ttt2;
  DECLARE CONTINUE HANDLER FOR NOT FOUND SET done = TRUE;

  OPEN cur1;
  OPEN cur2;

  read_loop: LOOP
    FETCH cur1 INTO a, b;
    FETCH cur2 INTO c;
    IF done THEN
      LEAVE read_loop;
    END IF;
    IF b < c THEN
      INSERT INTO ttt3 VALUES (a,b);
    ELSE
      INSERT INTO ttt3 VALUES (a,c);
    END IF;
  END LOOP;

  CLOSE cur1;
  CLOSE cur2;
END $$

DELIMITER ;

SELECT * 
FROM   ttt3;

CALL curdemo();

SELECT * 
FROM   ttt3;

