drop table test1;
drop table test2;

CREATE TABLE test1(a1 INT);
CREATE TABLE test2(a2 INT);


delimiter |

CREATE TRIGGER testref BEFORE INSERT ON test1
  FOR EACH ROW
  BEGIN
    INSERT INTO test2 SET a2 = NEW.a1;
  END;
|

delimiter ;


INSERT INTO test1 VALUES (2);
INSERT INTO test1 VALUES (1);
INSERT INTO test1 VALUES (7);
INSERT INTO test1 VALUES (8);
INSERT INTO test1 VALUES (4);
INSERT INTO test1 VALUES (4);


SELECT * FROM test1;
SELECT * FROM test2;

