/*
 *  A sample program to demo how to use store procedures
 */
delimiter //

DROP TABLE IF EXISTS test //
DROP PROCEDURE IF EXISTS sp1 //
DROP PROCEDURE IF EXISTS sp2 //
DROP PROCEDURE IF EXISTS sp3 //
DROP PROCEDURE IF EXISTS sp4 //

CREATE TABLE test(
         id int(11) NULL
       ) //

create procedure sp1(in p int)
       begin
         declare v1 int;
         set v1 = p;
         insert into test(id) values(v1);
       end  //

call sp1(1)//

select * from test//

create procedure sp2(out p int)                                                   
       DETERMINISTIC
       begin
         select max(id) into p from test;
       end  //

call sp2(@pv)//

select @pv//

create procedure sp3(in p1 int , out p2 int)
       begin
         if p1 = 1 then
           set @v = 10;
         else
           set @v = 20;
         end if;
          insert into test(id) values(@v);
         select max(id) into p2 from test;
       end //

call sp3(1,@ret)//

select @ret//

create procedure sp4(inout p4 int)
       begin
          if p4 = 4 then
             set @pg = 400;
          else
             set @pg = 500;
          end if; 
          select @pg;
       end//

create procedure sp4(in p4 int, out p5 int)
       begin
          if p4 = 4 then
             set @pg = 400;
          else
             set @pg = 500;
          end if; 
          select @pg into p5;
       end//

call sp4(4, @pp)//

select @pp//

set @pp = 5//

call sp4(@pp, @pp2)//

select @pp2//

delimiter ;
